smartctl should output RAW_VALUE as Temperature_Celcius

Bug #1653560 reported by Thomas Mayer on 2017-01-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
smartmontools
Unknown
Unknown
smartmontools (Ubuntu)
Medium
Unassigned

Bug Description

Using Ubuntu 16.04, Kernel 4.4.0-57-generic wrong temperatures also make it into syslog:

Jan 2 20:22:27 server smartd[876]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 110 to 112
Jan 2 20:22:27 server smartd[876]: Device: /dev/sdb [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 111 to 113

Not only is that wrong, it also tells admins that there was need to take action. Eventually, it makes it into some monitoring tool, which thereby abstracts the RAW_VALUE even further.

Note that in reality my drives have <40°C, just by reading SMART's RAW_VALUE (and touching the drive with my finger).

Also note that the device model is "In smartctl database", according to smartctl's output. That said, I'd expect smartctl to somehow "know" all variables of my drive, including their meaning.

smartctl 6.5 2016-01-24 r4214 [x86_64-linux-4.4.0-57-generic] (local build)
Copyright (C) 2002-16, Bruce Allen, Christian Franke, www.smartmontools.org

=== START OF INFORMATION SECTION ===
Model Family: Western Digital AV-GP (AF)
Device Model: WDC WD30EURS-63SPKY0
[...]
Firmware Version: 80.00A80
User Capacity: 3.000.592.982.016 bytes [3,00 TB]
Sector Sizes: 512 bytes logical, 4096 bytes physical
Device is: In smartctl database [for details use: -P show]
ATA Version is: ACS-2 (minor revision not indicated)
SATA Version is: SATA 3.0, 3.0 Gb/s (current: 3.0 Gb/s)
Local Time is: Mon Jan 2 23:27:25 2017 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

=== START OF READ SMART DATA SECTION ===

SMART Attributes Data Structure revision number: 16
Vendor Specific SMART Attributes with Thresholds:
ID# ATTRIBUTE_NAME FLAG VALUE WORST THRESH TYPE UPDATED WHEN_FAILED RAW_VALUE
  1 Raw_Read_Error_Rate 0x002f 200 200 051 Pre-fail Always - 0
  3 Spin_Up_Time 0x0027 177 176 021 Pre-fail Always - 6133
  4 Start_Stop_Count 0x0032 100 100 000 Old_age Always - 98
  5 Reallocated_Sector_Ct 0x0033 200 200 140 Pre-fail Always - 0
  7 Seek_Error_Rate 0x002e 200 200 000 Old_age Always - 0
  9 Power_On_Hours 0x0032 072 072 000 Old_age Always - 20909
 10 Spin_Retry_Count 0x0032 100 253 000 Old_age Always - 0
 11 Calibration_Retry_Count 0x0032 100 253 000 Old_age Always - 0
 12 Power_Cycle_Count 0x0032 100 100 000 Old_age Always - 98
192 Power-Off_Retract_Count 0x0032 200 200 000 Old_age Always - 55
193 Load_Cycle_Count 0x0032 200 200 000 Old_age Always - 42
194 Temperature_Celsius 0x0022 112 101 000 Old_age Always - 38
196 Reallocated_Event_Count 0x0032 200 200 000 Old_age Always - 0
197 Current_Pending_Sector 0x0032 200 200 000 Old_age Always - 0
198 Offline_Uncorrectable 0x0030 100 253 000 Old_age Offline - 0
199 UDMA_CRC_Error_Count 0x0032 200 200 000 Old_age Always - 0
200 Multi_Zone_Error_Rate 0x0008 100 253 000 Old_age Offline - 0

smartctl -P show /dev/sda
smartctl 6.5 2016-01-24 r4214 [x86_64-linux-4.4.0-57-generic] (local build)
Copyright (C) 2002-16, Bruce Allen, Christian Franke, www.smartmontools.org

Drive found in smartmontools Database. Drive identity strings:
MODEL: WDC WD30EURS-63SPKY0
FIRMWARE: 80.00A80
match smartmontools Drive Database entry:
MODEL REGEXP: WDC WD(5000AUDX|7500AURS|10EUCX|(10|15|20|25|30)EUR[SX])-.*
FIRMWARE REGEXP: .*
MODEL FAMILY: Western Digital AV-GP (AF)
ATTRIBUTE OPTIONS: None preset; no -v options are required.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: smartmontools 6.4+svn4214-1
ProcVersionSignature: Ubuntu 4.4.0-57.78-generic 4.4.35
Uname: Linux 4.4.0-57-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.4
Architecture: amd64
Date: Mon Jan 2 23:51:57 2017
InstallationDate: Installed on 2013-08-21 (1229 days ago)
InstallationMedia: Ubuntu-Server 13.04 "Raring Ringtail" - Release amd64 (20130423.1)
ProcEnviron:
 TERM=screen.xterm-256color
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: smartmontools
UpgradeStatus: Upgraded to xenial on 2016-10-24 (69 days ago)
mtime.conffile..etc.default.smartmontools: 2014-03-04T04:37:10.446439

Thomas Mayer (thomas303) wrote :
Thomas Mayer (thomas303) on 2017-01-02
summary: - smartctl shout output RAW_VALUE as Temperature_Celcius
+ smartctl should output RAW_VALUE as Temperature_Celcius
Joshua Powers (powersj) wrote :

See:
https://www.smartmontools.org/wiki/FAQ#Whyismydisktemperaturesreportedbysmartdas150Celsius

I agree that it is misleading as the default and probably should report the raw value as you suggest.

Changed in smartmontools (Ubuntu):
status: New → Triaged
status: Triaged → Confirmed
importance: Undecided → Medium
Thomas Mayer (thomas303) wrote :

Normalization seems to be:

Temperature_Celcius_normalized = 150 - Temperature_Celcius_RAW_VALUE

In my case:

112 = 150 - 38

That said, my hard disk's temperature has 112% health.

Values below 100% mean that the hard disk is hotter than 50°C.

As powersj pointed out, this is documented behaviour. It's not a bug, respectively. Eventually, normalization is done by hard disk vendors, meaning that WD is perfectly fine with 50°C (=100% "health").

It's just confusing, especially in syslog. Eventually, an interpretation could be given in syslog?

E.g.

Jan 2 20:22:27 server smartd[876]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius: Thermal health changed from 110% (40°C) to 112% (38°C)

Additionally, only logging values below 100% health (or a user specified threshold) makes sense to me. If everything is fine, it should not be reported in syslog periodically (by default at least).

Thomas Mayer (thomas303) wrote :

Filed a new issue upstream at https://www.smartmontools.org/ticket/788

Thomas Mayer (thomas303) wrote :

Upstream issue got closed without a fix.

I filed issue https://bugs.freedesktop.org/show_bug.cgi?id=99269

Eventually this can be fixed there.

Otherwise, this could still be fixed or improved in smartd.conf by the distro, according to https://www.smartmontools.org/ticket/788

no longer affects: smartmontools
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.